フローティングラベルの表示

このサンプルでは日付時刻コントロールにフローティングラベル表示を設定することができます。

日付時刻コントロールの入力フィールドにフローティングラベルを表示する機能について解説します。 フローティングラベルを表示する方法 フローティングラベルを表示するには、floatingLabelTextプロパティにフローティングラベルの表示テキストを設定します。floatingLabelDirectionプロパティを設定することで、入力時にフローティングラベルを指定位置に移動します。 floatingLabelDirectionプロパティの設定できる値は次のとおりで、既定値はOutsideです。 値 説明 Outside 入力中にラベルが外側に表示する ThroughBorder 入力中にラベルが上の線と重なって表示する Inside 入力中にラベルが内側に表示する また、floatingLabelTypeプロパティを設定すると、入力中のフローティングラベルの表示位置を設定できます。floatingLabelTypeプロパティの設定できる値は次のとおりで、既定値はAutoです。 値 説明 Auto 入力中にラベルがfloatingLabelDirectionに設定した位置に調整される Always ラベルが常に表示する None ラベルが常に表示しない 注意事項 watermarkDisplayNullTextプロパティと同時に設定すると、フローティングラベルがウォーターマークと重なる場合もあります。
import '@mescius/inputman/CSS/gc.inputman-js.css'; import { InputMan } from '@mescius/inputman'; import './styles.css'; InputMan.appearanceStyle = InputMan.AppearanceStyle.Modern; const gcDateTime1 = new InputMan.GcDateTime(document.getElementById('gcDateTime1'), { floatingLabelText: '開始時刻', floatingLabelDirection: 'ThroughBorder', }); const gcDateTime2 = new InputMan.GcDateTime(document.getElementById('gcDateTime2'), { floatingLabelText: '終了時刻', floatingLabelDirection: 'ThroughBorder', }); document.getElementById('floatingLabelDirection').addEventListener('change', (e) => { gcDateTime1.floatingLabelDirection = floatingLabelDirection[e.target.selectedIndex]; gcDateTime2.floatingLabelDirection = floatingLabelDirection[e.target.selectedIndex]; }); document.getElementById('floatingLabelType').addEventListener('change', (e) => { gcDateTime1.floatingLabelType = floatingLabelType[e.target.selectedIndex]; gcDateTime2.floatingLabelType = floatingLabelType[e.target.selectedIndex]; }); const floatingLabelDirection = [ InputMan.FloatingLabelDirection.Outside, InputMan.FloatingLabelDirection.ThroughBorder, InputMan.FloatingLabelDirection.Inside, ]; const floatingLabelType = [ InputMan.FloatingLabelType.Auto, InputMan.FloatingLabelType.Always, InputMan.FloatingLabelType.None, ];
<!DOCTYPE html> <html> <head> <meta charset="UTF-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0"> <meta http-equiv="X-UA-Compatible" content="ie=edge"> <title>日付時刻コントロール - フローティングラベルの表示</title> <!-- SystemJS --> <script src="node_modules/systemjs/dist/system.src.js"></script> <script src="systemjs.config.js"></script> <script> window.onload = function() { System.import('./src/app'); } </script> </head> <body> <div> <input id="gcDateTime1" /> </div> <br> <div> フローティングラベルのスタイルを変更する<br> <div class="custom"><input id="gcDateTime2" /></div> </div> <table class="sample"> <tbody> <tr> <th>入力中のラベルの表示位置</th> <td> <select id="floatingLabelDirection"> <option>外側</option> <option selected>上線と重なる</option> <option>内側</option> </select> </td> </tr> <tr> <th>入力中のラベルの表示</th> <td> <select id="floatingLabelType"> <option selected>設定位置</option> <option>常に表示</option> <option>常に表示しない</option> </select> </td> </tr> </tbody> </table> </body> </html>
body { padding-bottom: 10rem; } .gcim { width: 180px; } .custom .gcim { border-color: rgb(255, 204, 127); } .custom .gcim_focused { border-color: rgb(255, 127, 127); } .custom .gcim-floating-label__container[label-state='floating'][label-direction='throughborder'] { font-family: 'Serif'; font-size: medium; color: rgb(255, 127, 127); left: 30px; } .custom .gcim-floating-label__container[label-state='floating'][label-direction='throughborder'] { color: rgb(255, 204, 127); } .custom .gcim_focused .gcim-floating-label__container[label-state='floating'][label-direction='throughborder'] { color: rgb(255, 127, 127); } .custom .gcim-floating-label__container[label-state='display'] { font-family: 'Serif'; font-size: medium; color: rgb(255, 204, 127); left: 30px; }
body { padding-bottom: 10rem; } [gcim-control-appearance="modern"] .gcim { width: 180px; } [gcim-control-appearance="modern"] .custom .gcim { border-color: rgb(255, 204, 127); } [gcim-control-appearance="modern"] .custom .gcim_focused { border-color: rgb(255, 127, 127); } [gcim-control-appearance="modern"] .custom .gcim-floating-label__container[label-state='floating'][label-direction='throughborder'] { font-family: 'Serif'; font-size: medium; color: rgb(255, 127, 127); left: 30px; } [gcim-control-appearance="modern"] .custom .gcim-floating-label__container[label-state='floating'][label-direction='throughborder'] { color: rgb(255, 204, 127); } [gcim-control-appearance="modern"] .custom .gcim_focused .gcim-floating-label__container[label-state='floating'][label-direction='throughborder'] { color: rgb(255, 127, 127); } [gcim-control-appearance="modern"] .custom .gcim-floating-label__container[label-state='display'] { font-family: 'Serif'; font-size: medium; color: rgb(255, 204, 127); left: 30px; }
System.config({ transpiler: 'plugin-babel', babelOptions: { es2015: true }, meta: { '*.css': { loader: 'css' } }, paths: { // paths serve as alias 'npm:': 'node_modules/' }, // map tells the System loader where to look for things map: { '@mescius/inputman': 'npm:@mescius/inputman/index.js', '@mescius/inputman/CSS': 'npm:@mescius/inputman/CSS', '@mescius/inputman.richtexteditor': 'npm:@mescius/inputman.richtexteditor/index.js', "@mescius/inputman.richtexteditor/CSS": "npm:@mescius/inputman.richtexteditor/CSS", '@mescius/inputman.richtexteditor/JS/plugins/advlist': 'npm:@mescius/inputman.richtexteditor/JS/plugins/advlist/plugin.js', '@mescius/inputman.richtexteditor/JS/plugins/all': 'npm:@mescius/inputman.richtexteditor/JS/plugins/all/plugin.js', '@mescius/inputman.richtexteditor/JS/plugins/autosave': 'npm:@mescius/inputman.richtexteditor/JS/plugins/autosave/plugin.js', '@mescius/inputman.richtexteditor/JS/plugins/charmap': 'npm:@mescius/inputman.richtexteditor/JS/plugins/charmap/plugin.js', '@mescius/inputman.richtexteditor/JS/plugins/directionality': 'npm:@mescius/inputman.richtexteditor/JS/plugins/directionality/plugin.js', '@mescius/inputman.richtexteditor/JS/plugins/emoticons': 'npm:@mescius/inputman.richtexteditor/JS/plugins/emoticons/plugin.js', '@mescius/inputman.richtexteditor/JS/plugins/fullscreen': 'npm:@mescius/inputman.richtexteditor/JS/plugins/fullscreen/plugin.js', '@mescius/inputman.richtexteditor/JS/plugins/htmlcode': 'npm:@mescius/inputman.richtexteditor/JS/plugins/htmlcode/plugin.js', '@mescius/inputman.richtexteditor/JS/plugins/image': 'npm:@mescius/inputman.richtexteditor/JS/plugins/image/plugin.js', '@mescius/inputman.richtexteditor/JS/plugins/link': 'npm:@mescius/inputman.richtexteditor/JS/plugins/link/plugin.js', '@mescius/inputman.richtexteditor/JS/plugins/lists': 'npm:@mescius/inputman.richtexteditor/JS/plugins/lists/plugin.js', '@mescius/inputman.richtexteditor/JS/plugins/media': 'npm:@mescius/inputman.richtexteditor/JS/plugins/media/plugin.js', '@mescius/inputman.richtexteditor/JS/plugins/pagebreak': 'npm:@mescius/inputman.richtexteditor/JS/plugins/pagebreak/plugin.js', '@mescius/inputman.richtexteditor/JS/plugins/preview': 'npm:@mescius/inputman.richtexteditor/JS/plugins/preview/plugin.js', '@mescius/inputman.richtexteditor/JS/plugins/save': 'npm:@mescius/inputman.richtexteditor/JS/plugins/save/plugin.js', '@mescius/inputman.richtexteditor/JS/plugins/searchreplace': 'npm:@mescius/inputman.richtexteditor/JS/plugins/searchreplace/plugin.js', '@mescius/inputman.richtexteditor/JS/plugins/table': 'npm:@mescius/inputman.richtexteditor/JS/plugins/table/plugin.js', '@mescius/inputman.richtexteditor/JS/plugins/template': 'npm:@mescius/inputman.richtexteditor/JS/plugins/template/plugin.js', '@mescius/inputman.richtexteditor/JS/plugins/wordcount': 'npm:@mescius/inputman.richtexteditor/JS/plugins/wordcount/plugin.js', '@mescius/inputman.comment': 'npm:@mescius/inputman.comment/index.js', '@mescius/inputman.comment/CSS': 'npm:@mescius/inputman.comment/CSS', '@mescius/wijmo': 'npm:@mescius/wijmo/index.js', '@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles', '@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures', '@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js', '@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js', '@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js', '@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js', '@mescius/spread-sheets-resources-ja': 'npm:@mescius/spread-sheets-resources-ja/index.js', '@mescius/spread-sheets/styles': 'npm:@mescius/spread-sheets/styles', 'css': 'npm:systemjs-plugin-css/css.js', 'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js', 'systemjs-babel-build': 'npm:systemjs-plugin-babel/systemjs-babel-browser.js' }, // packages tells the System loader how to load when no filename and/or no extension packages: { src: { defaultExtension: 'js' }, "node_modules": { defaultExtension: 'js' }, } });

日付時刻コントロールの入力フィールドにフローティングラベルを表示する機能について解説します。
フローティングラベルを表示する方法
フローティングラベルを表示するには、floatingLabelTextプロパティにフローティングラベルの表示テキストを設定します。floatingLabelDirectionプロパティを設定することで、入力時にフローティングラベルを指定位置に移動します。
floatingLabelDirectionプロパティの設定できる値は次のとおりで、既定値はOutsideです。
値
説明
Outside
入力中にラベルが外側に表示する
ThroughBorder
入力中にラベルが上の線と重なって表示する
Inside
入力中にラベルが内側に表示する
また、floatingLabelTypeプロパティを設定すると、入力中のフローティングラベルの表示位置を設定できます。floatingLabelTypeプロパティの設定できる値は次のとおりで、既定値はAutoです。
値
説明
Auto
入力中にラベルがfloatingLabelDirectionに設定した位置に調整される
Always
ラベルが常に表示する
None
ラベルが常に表示しない
注意事項
watermarkDisplayNullTextプロパティと同時に設定すると、フローティングラベルがウォーターマークと重なる場合もあります。
import { bootstrapApplication } from '@angular/platform-browser';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { InputManModule } from "@mescius/inputman.angular";
import '@mescius/inputman/CSS/gc.inputman-js.css';
import { Component, enableProdMode } from '@angular/core';
import { InputMan } from "@mescius/inputman";
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: './src/app.component.html',
imports: [InputManModule, BrowserModule, FormsModule],
standalone: true
})
export class AppComponent {
ngOnInit(): void {
InputMan.appearanceStyle = InputMan.AppearanceStyle.Modern;
}
public floatingLabelDirection = [
InputMan.FloatingLabelDirection.Outside,
InputMan.FloatingLabelDirection.ThroughBorder,
InputMan.FloatingLabelDirection.Inside,
];
public floatingLabelType = [
InputMan.FloatingLabelType.Auto,
InputMan.FloatingLabelType.Always,
InputMan.FloatingLabelType.None,
];
public direction: InputMan.FloatingLabelDirection = InputMan.FloatingLabelDirection.ThroughBorder;
public type: InputMan.FloatingLabelType = InputMan.FloatingLabelType.Auto;
}
enableProdMode();
bootstrapApplication(AppComponent).catch(err => console.error(err));
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>日付時刻コントロール - フローティングラベルの表示</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- Polyfills -->
<script src="node_modules/core-js/client/shim.min.js"></script>
<script src="node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
window.onload = function() {
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('./src/app.component');
});
}
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div>
<gc-datetime
floatingLabelText="開始時刻"
[floatingLabelDirection]="direction"
[floatingLabelType]="type">
</gc-datetime>
</div>
<br>
<div>
フローティングラベルのスタイルを変更する<br>
<div class="custom">
<gc-datetime
floatingLabelText="終了時刻"
[floatingLabelDirection]="direction"
[floatingLabelType]="type">
</gc-datetime >
</div>
</div>
<table class="sample">
<tr>
<th>入力中のラベルの表示位置</th>
<td>
<select (change)="direction=floatingLabelDirection[$event.target.selectedIndex]">
<option>外側</option>
<option selected>上線と重なる</option>
<option>内側</option>
</select>
</td>
</tr>
<tr>
<th>入力中のラベルの表示</th>
<td>
<select (change)="type=floatingLabelType[$event.target.selectedIndex]">
<option selected>設定位置</option>
<option>常に表示</option>
<option>常に表示しない</option>
</select>
</td>
</tr>
</table>
body {
padding-bottom: 10rem;
}
.gcim {
width: 180px;
}
.custom .gcim {
border-color: rgb(255, 204, 127);
}
.custom .gcim_focused {
border-color: rgb(255, 127, 127);
}
.custom .gcim-floating-label__container[label-state='floating'][label-direction='throughborder'] {
font-family: 'Serif';
font-size: medium;
color: rgb(255, 127, 127);
left: 30px;
}
.custom .gcim-floating-label__container[label-state='floating'][label-direction='throughborder'] {
color: rgb(255, 204, 127);
}
.custom .gcim_focused .gcim-floating-label__container[label-state='floating'][label-direction='throughborder'] {
color: rgb(255, 127, 127);
}
.custom .gcim-floating-label__container[label-state='display'] {
font-family: 'Serif';
font-size: medium;
color: rgb(255, 204, 127);
left: 30px;
}
body {
padding-bottom: 10rem;
}
[gcim-control-appearance="modern"] .gcim {
width: 180px;
}
[gcim-control-appearance="modern"] .custom .gcim {
border-color: rgb(255, 204, 127);
}
[gcim-control-appearance="modern"] .custom .gcim_focused {
border-color: rgb(255, 127, 127);
}
[gcim-control-appearance="modern"] .custom .gcim-floating-label__container[label-state='floating'][label-direction='throughborder'] {
font-family: 'Serif';
font-size: medium;
color: rgb(255, 127, 127);
left: 30px;
}
[gcim-control-appearance="modern"] .custom .gcim-floating-label__container[label-state='floating'][label-direction='throughborder'] {
color: rgb(255, 204, 127);
}
[gcim-control-appearance="modern"] .custom .gcim_focused .gcim-floating-label__container[label-state='floating'][label-direction='throughborder'] {
color: rgb(255, 127, 127);
}
[gcim-control-appearance="modern"] .custom .gcim-floating-label__container[label-state='display'] {
font-family: 'Serif';
font-size: medium;
color: rgb(255, 204, 127);
left: 30px;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
//'reflect-metadata': 'npm:reflect-metadata/Reflect.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
//'rxjs': 'npm:rxjs',
//'rxjs/operators': 'npm:rxjs/operators',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'@mescius/inputman': 'npm:@mescius/inputman/index.js',
'@mescius/inputman.angular': 'npm:@mescius/inputman.angular/fesm2015/mescius-inputman.angular.mjs',
'@mescius/inputman.richtexteditor': 'npm:@mescius/inputman.richtexteditor/index.js',
'@mescius/inputman.richtexteditor.angular': 'npm:@mescius/inputman.richtexteditor.angular/fesm2015/mescius-inputman.richtexteditor.angular.mjs',
'@mescius/inputman.comment': 'npm:@mescius/inputman.comment/index.js',
'@mescius/inputman.comment.angular': 'npm:@mescius/inputman.comment.angular/fesm2015/mescius-inputman.comment.angular.mjs',
'@mescius/inputman/CSS': 'npm:@mescius/inputman/CSS',
"@mescius/inputman.richtexteditor/CSS": "npm:@mescius/inputman.richtexteditor/CSS",
'@mescius/inputman.richtexteditor/JS/plugins/advlist': 'npm:@mescius/inputman.richtexteditor/JS/plugins/advlist/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/all': 'npm:@mescius/inputman.richtexteditor/JS/plugins/all/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/autosave': 'npm:@mescius/inputman.richtexteditor/JS/plugins/autosave/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/charmap': 'npm:@mescius/inputman.richtexteditor/JS/plugins/charmap/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/directionality': 'npm:@mescius/inputman.richtexteditor/JS/plugins/directionality/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/emoticons': 'npm:@mescius/inputman.richtexteditor/JS/plugins/emoticons/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/fullscreen': 'npm:@mescius/inputman.richtexteditor/JS/plugins/fullscreen/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/htmlcode': 'npm:@mescius/inputman.richtexteditor/JS/plugins/htmlcode/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/image': 'npm:@mescius/inputman.richtexteditor/JS/plugins/image/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/link': 'npm:@mescius/inputman.richtexteditor/JS/plugins/link/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/lists': 'npm:@mescius/inputman.richtexteditor/JS/plugins/lists/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/media': 'npm:@mescius/inputman.richtexteditor/JS/plugins/media/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/pagebreak': 'npm:@mescius/inputman.richtexteditor/JS/plugins/pagebreak/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/preview': 'npm:@mescius/inputman.richtexteditor/JS/plugins/preview/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/save': 'npm:@mescius/inputman.richtexteditor/JS/plugins/save/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/searchreplace': 'npm:@mescius/inputman.richtexteditor/JS/plugins/searchreplace/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/table': 'npm:@mescius/inputman.richtexteditor/JS/plugins/table/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/template': 'npm:@mescius/inputman.richtexteditor/JS/plugins/template/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/wordcount': 'npm:@mescius/inputman.richtexteditor/JS/plugins/wordcount/plugin.js',
'@mescius/inputman.comment/CSS': 'npm:@mescius/inputman.comment/CSS',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ja': 'npm:@mescius/spread-sheets-resources-ja/index.js',
'@mescius/spread-sheets/styles': 'npm:@mescius/spread-sheets/styles',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib': 'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts',
meta: {
"*.component.ts": {
loader: "system.component-loader.js"
}
}
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"@mescius/inputman": {
defaultExtension: 'js'
},
"@mescius/inputman.richtexteditor": {
defaultExtension: 'js'
},
"@mescius/inputman.comment": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/inputman.angular": {
defaultExtension: 'mjs'
},
"@mescius/inputman.comment.angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
},
"@mescius/inputman.richtexteditor.angular": {
defaultExtension: 'mjs'
},
}
});
})(this);